Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.navigator.member
Class MemberNavigator

    java.lang.Object
      com.tonbeller.wcf.component.ComponentSupport
          com.tonbeller.wcf.component.NestableComponentSupport
              com.tonbeller.wcf.tree.TreeComponent
                  com.tonbeller.jpivot.navigator.member.MemberNavigator

All Implemented Interfaces:
  ModelChangeListener, Available, com.tonbeller.wcf.bookmarks.Bookmarkable, com.tonbeller.wcf.component.Component, com.tonbeller.wcf.component.Form, com.tonbeller.wcf.component.FormListener, com.tonbeller.wcf.component.LifeCycle, com.tonbeller.wcf.component.NestableComponent, com.tonbeller.wcf.component.Renderable, com.tonbeller.wcf.component.RoleExprHolder, com.tonbeller.wcf.component.Visible, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

    public class MemberNavigator

extends com.tonbeller.wcf.tree.TreeComponent
implements ModelChangeListener, Available

GUI for choosing members. User of this class must call setHierarchy or setHierarchies before rendering.

Author:
  av

Field Summary
`static com.tonbeller.wcf.tree.LabelProvider` | `labelProvider`
`static java.lang.String` | `MEMBER_NAVIGATOR_EXPAND_SELECTED`
`static java.lang.String` | `MEMBER_NAVIGATOR_GROUPING_MEMBER_COUNT`
`static java.lang.String` | `MEMBER_NAVIGATOR_INITIAL_GROUPING`
`static java.lang.String` | `MEMBER_NAVIGATOR_LAZY_FETCH_CHILDREN`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`MemberNavigator(java.lang.String id, com.tonbeller.wcf.component.Component parent, OlapModel olapModel, com.tonbeller.wcf.controller.RequestListener okHandler, com.tonbeller.wcf.controller.RequestListener cancelHandler)`
`MemberNavigator(java.lang.String id, com.tonbeller.wcf.component.Component parent, com.tonbeller.wcf.controller.RequestListener okHandler, com.tonbeller.wcf.controller.RequestListener cancelHandler)` crerates a MemberNavigator that is not connected to a query.

Method Summary
`int` | `getGroupingMemberCount()` Number of members of a non-selectable pseudo level
`java.lang.String` | `getTitle()` Returns the title.
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context)`
`boolean` | `isAvailable()` returns true if the OlapModel supports all extensions that are required to use the MemberNavigator
`boolean` | `isExpandSelected()`
`boolean` | `isGrouping()`
`boolean` | `isLazyFetchChildren()`
`boolean` | `isShowSelectNoneButton()` shows "Select None" button in single selection mode
`void` | `modelChanged(ModelChangeEvent e)` model data have changed, e.g. user has navigated
`org.w3c.dom.Element` | `render(com.tonbeller.wcf.controller.RequestContext context, org.w3c.dom.Document factory)`
`void` | `setExpandSelected(boolean expandSelected)`
`void` | `setGrouping(boolean b)`
`void` | `setGroupingMemberCount(int groupingMemberCount)` Number of members of a non-selectable pseudo level
`void` | `setHierarchies(Hierarchy[] hierarchies, boolean allowChangeOrder)` sets the hierarchies for the members to choose from.
`void` | `setHierarchies(Hierarchy[] hiers, boolean allowChangeOrder, MemberSelectionModel selection, java.util.Collection deleted)`
`void` | `setHierarchy(Hierarchy hierarchy, boolean allowChangeOrder)` sets the hierarchy of members to choose from.
`void` | `setLazyFetchChildren(boolean lazyFetchChildren)`
`void` | `setOlapModel(OlapModel newOlapModel)`
`void` | `setShowSelectNoneButton(boolean b)` shows "Select None" button in single selection mode
`void` | `setTitle(java.lang.String title)` Sets the title.
`void` | `setVisible(boolean b)`
`void` | `structureChanged(ModelChangeEvent e)` major change, e.g. extensions added/removed

Methods inherited from class com.tonbeller.wcf.tree.TreeComponent
`collapse, collapseAll, expand, expandSelected, expandSelected, getBorder, getBounding, getChangeOrderModel, getDeleteNodeModel, getError, getModel, getNodeRenderer, getRenderId, getSelectionModel, getTreeElementName, getWidth, selectVisible, setBorder, setBounding, setChangeOrderModel, setComparator, setCutPasteMode, setDeleteNodeModel, setError, setModel, setNodeRenderer, setRenderId, setSelectionModel, setTreeElementName, setWidth`

Methods inherited from class com.tonbeller.wcf.component.NestableComponentSupport
`render`

Methods inherited from class com.tonbeller.wcf.component.ComponentSupport
`addFormListener, destroy, getBookmarkState, getDispatcher, getForm, getId, getLocale, getNextView, getParent, getRoleExpr, isAutoValidate, isListeningTo, isVisible, removeFormListener, request, revert, setAutoValidate, setBookmarkState, setId, setNextView, setParent, setRoleExpr, validate, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.component.Component
`getParent, isListeningTo, setNextView`

Methods inherited from interface com.tonbeller.wcf.controller.RequestListener
`request`

Methods inherited from interface com.tonbeller.wcf.component.FormListener
`revert, validate`

Methods inherited from interface com.tonbeller.wcf.component.Visible
`isVisible`

Methods inherited from interface com.tonbeller.wcf.component.LifeCycle
`destroy`

Field Detail

### MEMBER_NAVIGATOR_LAZY_FETCH_CHILDREN

    public static final java.lang.String MEMBER_NAVIGATOR_LAZY_FETCH_CHILDREN

See Also:
  Constant Field Values

### MEMBER_NAVIGATOR_EXPAND_SELECTED

    public static final java.lang.String MEMBER_NAVIGATOR_EXPAND_SELECTED

See Also:
  Constant Field Values

### MEMBER_NAVIGATOR_INITIAL_GROUPING

    public static final java.lang.String MEMBER_NAVIGATOR_INITIAL_GROUPING

See Also:
  Constant Field Values

### MEMBER_NAVIGATOR_GROUPING_MEMBER_COUNT

    public static final java.lang.String MEMBER_NAVIGATOR_GROUPING_MEMBER_COUNT

See Also:
  Constant Field Values

### labelProvider

    public static com.tonbeller.wcf.tree.LabelProvider labelProvider

Constructor Detail

### MemberNavigator

    public MemberNavigator(java.lang.String id,
                           com.tonbeller.wcf.component.Component parent,
                           OlapModel olapModel,
                           com.tonbeller.wcf.controller.RequestListener okHandler,
                           com.tonbeller.wcf.controller.RequestListener cancelHandler)

### MemberNavigator

    public MemberNavigator(java.lang.String id,
                           com.tonbeller.wcf.component.Component parent,
                           com.tonbeller.wcf.controller.RequestListener okHandler,
                           com.tonbeller.wcf.controller.RequestListener cancelHandler)

  crerates a MemberNavigator that is not connected to a query. Before callin setHierarchies() the client must call setOlapModel().

Method Detail

### setOlapModel

    public void setOlapModel(OlapModel newOlapModel)

### getTitle

    public java.lang.String getTitle()

  Returns the title.

  Returns:
    String

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context)
                    throws java.lang.Exception

  Specified by:
    `initialize` in interface `com.tonbeller.wcf.component.LifeCycle`
  Overrides:
    `initialize` in class `com.tonbeller.wcf.component.ComponentSupport`
  Throws:
    `java.lang.Exception`

### render

    public org.w3c.dom.Element render(com.tonbeller.wcf.controller.RequestContext context,
                                      org.w3c.dom.Document factory)
                               throws java.lang.Exception

  Specified by:
    `render` in interface `com.tonbeller.wcf.component.NestableComponent`
  Overrides:
    `render` in class `com.tonbeller.wcf.tree.TreeComponent`
  Throws:
    `java.lang.Exception`

### setHierarchies

    public void setHierarchies(Hierarchy[] hierarchies,
                               boolean allowChangeOrder)

  sets the hierarchies for the members to choose from. Sets a default title.

  Parameters:
    `hierarchies` -
    `allowChangeOrder` -

### setHierarchies

    public void setHierarchies(Hierarchy[] hiers,
                               boolean allowChangeOrder,
                               MemberSelectionModel selection,
                               java.util.Collection deleted)

### setHierarchy

    public void setHierarchy(Hierarchy hierarchy,
                             boolean allowChangeOrder)

  sets the hierarchy of members to choose from. Sets a default title.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title.

  Parameters:
    `title` - The title to set

### modelChanged

    public void modelChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  model data have changed, e.g. user has navigated

  Specified by:
    `modelChanged` in interface `ModelChangeListener`

### structureChanged

    public void structureChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  major change, e.g. extensions added/removed

  Specified by:
    `structureChanged` in interface `ModelChangeListener`

### isShowSelectNoneButton

    public boolean isShowSelectNoneButton()

  shows "Select None" button in single selection mode

### setShowSelectNoneButton

    public void setShowSelectNoneButton(boolean b)

  shows "Select None" button in single selection mode

### getGroupingMemberCount

    public int getGroupingMemberCount()

  Number of members of a non-selectable pseudo level

  Returns:
    Returns the groupingMemberCount.

### setGroupingMemberCount

    public void setGroupingMemberCount(int groupingMemberCount)

  Number of members of a non-selectable pseudo level

  Parameters:
    `groupingMemberCount` - The groupingMemberCount to set.

### isGrouping

    public boolean isGrouping()

### setGrouping

    public void setGrouping(boolean b)

### isAvailable

    public boolean isAvailable()

  returns true if the OlapModel supports all extensions that are required to use the MemberNavigator

  Specified by:
    `isAvailable` in interface `Available`

### setVisible

    public void setVisible(boolean b)

  Specified by:
    `setVisible` in interface `com.tonbeller.wcf.component.Visible`
  Overrides:
    `setVisible` in class `com.tonbeller.wcf.component.ComponentSupport`

### isExpandSelected

    public boolean isExpandSelected()

### setExpandSelected

    public void setExpandSelected(boolean expandSelected)

### isLazyFetchChildren

    public boolean isLazyFetchChildren()

### setLazyFetchChildren

    public void setLazyFetchChildren(boolean lazyFetchChildren)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD